#
# spec file for package appmenu-qt
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rversion 0.2.7daily13.05.02

Name:           appmenu-qt
Version:        0.2.7~daily13.05.02
Release:        6.1
Summary:        Application Menu for Qt
License:        LGPL-3.0
Group:          System/GUI/KDE
Url:            https://launchpad.net/appmenu-qt/
Source0:        http://archive.ubuntu.com/ubuntu/pool/main/a/%{name}/%{name}_%{rversion}.orig.tar.gz
BuildRequires:  cmake >= 2.8.0
BuildRequires:  libdbusmenu-qt-devel >= 0.9.0
BuildRequires:  libqt4-devel >= 4.8.0
Requires:       dbus-1
Requires:       libqt4 >= 4.8.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

# Defined by libqt4-x11 > 4.8.2
%{!?_libqt4_pluginsdir: %global _libqt4_pluginsdir %{_libdir}/qt4/plugins}

%description
This projects adds support for application menu to Qt.

%prep
%setup -q -n %{name}-%{rversion}

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
mkdir build && cd build && \
cmake -DCMAKE_SKIP_RPATH=ON \
      -DCMAKE_INSTALL_PREFIX=/usr \
      -DUSE_QT4=ON \
      -DUSE_QT5=OFF \
      -DCMAKE_BUILD_TYPE=release ..
make %{?_smp_mflags}

%install
cd build
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root,-)
%doc COPYING* LGPL_EXCEPTION.txt NEWS README
%dir %{_libqt4_pluginsdir}/menubar
%{_libqt4_pluginsdir}/menubar/libappmenu-qt.so

%changelog
* Sat Feb  1 2014 hrvoje.senjan@gmail.com
- Update to 0.2.7~daily13.05.02
  * Qt 5 support
- Drop patches merged upstream: check-if-service-is-valid.diff,
  do-not-force-menubar-to-be-shown-when-registrar-is-deleted.diff and
  async-dbus-calls.diff
- Explicitly enable Qt4, and disable Qt5 builds via cmake flags
* Fri Jan 18 2013 hrvoje.senjan@gmail.com
- Add check-if-service-is-valid.diff and
  do-not-force-menubar-to-be-shown-when-registrar-is-deleted.diff
  from upstream (lp#1099357) (lp#1096008)
* Mon Jan 14 2013 ctrippe@opensuse.org
- Added patch async-dbus-calls.diff which makes appmenu-qt use
  async dbus-calls. (bnc#798334)
* Tue Nov 20 2012 cgiboudeaux@gmx.com
- Fix the SLES build (%%make_install is not expanded)
- Fix the openSUSE_12.2_ARM build (%%_libqt4_pluginsdir not defined)
* Tue Nov 13 2012 hrvoje.senjan@gmail.com
- Update license
- Drop kde4-filesystem fromBuildRequires and add build
    flags accordingly
- Adjust filelist to make use of Qt macros
* Wed Apr 18 2012 asterios.dramis@gmail.com
- Update to version 0.2.6:
  * Only allow one menubar to be exposed per window (lp#937892).
  From 0.2.5:
  * Register window again when it comes back after having been hidden
    (lp#775278).
  * Move call to link_directories() before add_library().
- Spec file updates:
  * Removed update-desktop-files and fdupes from BuildRequires: (not needed).
  * Replaced libkde4-devel with kde4-filesystem in BuildRequires: since the
    requirement is only for the kde build macros.
* Mon Feb 13 2012 alinm.elena@gmail.com
- initial commit
